System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

can be used to represent a single-line comment statement. is a statement, so it can be inserted into a statements collection and will appear on its own line. can also be added to the comments collection of or any object that derives from .

Represents a statement consisting of a single comment.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Creating the code for the following statement throws an Exception because the value of the CodeCommentStatement Comment property hasn't been set. `... demoNs.Comments.Add(new CodeCommentStatement()); ...`

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added `... CodeComment com=new CodeComment("foo!"); com.DocComment=true; demoNs.Comments.Add(new CodeCommentStatement(com)); ...` emits `/// foo!`

  Initializes a new instance of the class using the specified comment.

  A that indicates the comment.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  demoNs.Comments.Add(new CodeCommentStatement("This is a test"));
  generates the code `// This is a test`

  Initializes a new instance of the class using the specified text as contents.

  The contents of the comment.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the parameter is true, the is a documentation comment and the comment is structured using triple delimiter characters. For example, in C# the comment is "///", in Visual Basic "'''". Documentation comments are used to identify an XML comment field, such as a type or member summary identified by the <summary> element.

  Initializes a new instance of the class using the specified text and documentation comment flag.

  The contents of the comment.
  true if the comment is a documentation comment; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeComment To be added: an object of type 'CodeComment' To be added

  Gets or sets the contents of the comment.